package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class InspectionQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部ids",required = false)
    private String organId;

    @ApiModelProperty(value = "乐团主管id",required = false)
    private Integer userId;

    @ApiModelProperty(value = "月份",required = false)
    private Date month;

    @ApiModelProperty(value = "添加人",required = false)
    private Integer operation;

    private Date startTime;

    private Date endTime;

    @ApiModelProperty(value = "ids",required = false)
    private String ids;

    @ApiModelProperty(value = "查询类型 INSPECTION_ITEM 乐团巡查任务未计划,回访任务未完成 STUDENT_VISIT",required = false)
    private String searchType;

    private String searchStartTime;

    private String generateStartTime;

    private String generateEndTime;

    private String dealStartTime;

    private String dealEndTime;

    private Boolean hasDealTime;

    public Boolean getHasDealTime() {
        return hasDealTime;
    }

    public void setHasDealTime(Boolean hasDealTime) {
        this.hasDealTime = hasDealTime;
    }

    public String getSearchStartTime() {
        return searchStartTime;
    }

    public void setSearchStartTime(String searchStartTime) {
        this.searchStartTime = searchStartTime;
    }

    public String getSearchType() {
        return searchType;
    }

    public void setSearchType(String searchType) {
        this.searchType = searchType;
    }

    public String getOrganId() {
		return organId;
	}

	public void setOrganId(String organId) {
		this.organId = organId;
	}

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getMonth() {
        return month;
    }

    public void setMonth(Date month) {
        this.month = month;
    }

    public Integer getOperation() {
        return operation;
    }

    public void setOperation(Integer operation) {
        this.operation = operation;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getGenerateStartTime() {
        return generateStartTime;
    }

    public void setGenerateStartTime(String generateStartTime) {
        this.generateStartTime = generateStartTime;
    }

    public String getGenerateEndTime() {
        return generateEndTime;
    }

    public void setGenerateEndTime(String generateEndTime) {
        this.generateEndTime = generateEndTime;
    }

    public String getDealStartTime() {
        return dealStartTime;
    }

    public void setDealStartTime(String dealStartTime) {
        this.dealStartTime = dealStartTime;
    }

    public String getDealEndTime() {
        return dealEndTime;
    }

    public void setDealEndTime(String dealEndTime) {
        this.dealEndTime = dealEndTime;
    }
}
